%define upstream_name    CGI-Emulate-PSGI
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PSGI adapter for CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
  use CGI::Parse::PSGI qw(parse_cgi_output);

  my $output = YourApp->run;
  my $psgi_res = parse_cgi_output(\$output);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 363530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 314847
- update to 0.15

* Tue Nov 08 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 165280
- Disable checks for now, as it breaks build only on the BS.
- update to 0.14

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 154780
- adding missing buildrequires:
- update to 0.13

* Tue Jun 21 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 111296
- imported package perl-CGI-Emulate-PSGI

